com.google.gwt.event.dom.client

## Interface HasAllTouchHandlers

All Superinterfaces:
  HasHandlers, HasTouchCancelHandlers, HasTouchEndHandlers, HasTouchMoveHandlers, HasTouchStartHandlers

All Known Implementing Classes:
  Anchor, Audio, Button, ButtonBase, Canvas, CheckBox, CustomButton, DialogBox.CaptionImpl, DoubleBox, FileUpload, FocusPanel, FocusWidget, HTML, Image, InlineHTML, InlineLabel, IntegerBox, Label, ListBox, LongBox, MediaBase, PasswordTextBox, PushButton, RadioButton, ResetButton, RichTextArea, SimpleCheckBox, SimpleRadioButton, SubmitButton, TextArea, TextBox, TextBoxBase, ToggleButton, ValueBox, ValueBoxBase, Video

    public interface HasAllTouchHandlers
    extends HasTouchStartHandlers, HasTouchMoveHandlers, HasTouchEndHandlers, HasTouchCancelHandlers

This is a convenience interface that includes all touch handlers defined by the core GWT system.

WARNING, PLEASE READ: As this interface is intended for developers who wish to handle all touch events in GWT, new touch event handlers will be added to it. Therefore, updates can cause breaking API changes.

### Method Summary

### Methods inherited from interface com.google.gwt.event.dom.client.HasTouchStartHandlers

`addTouchStartHandler`

### Methods inherited from interface com.google.gwt.event.dom.client.HasTouchMoveHandlers

`addTouchMoveHandler`

### Methods inherited from interface com.google.gwt.event.dom.client.HasTouchEndHandlers

`addTouchEndHandler`

### Methods inherited from interface com.google.gwt.event.dom.client.HasTouchCancelHandlers

`addTouchCancelHandler`

### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

`fireEvent`